# Enum WatcherMode

java.lang.Object
java.lang.Enum<WatcherMode>
org.apache.zookeeper.server.watch.WatcherMode

All Implemented Interfaces:
  `Serializable, Comparable<WatcherMode>`

public enum WatcherMode extends Enum<WatcherMode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PERSISTENT`
`PERSISTENT_RECURSIVE`
`STANDARD`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final WatcherMode`
`DEFAULT_WATCHER_MODE`

## Method Summary

Modifier and Type
Method
Description
`static WatcherMode`
`fromZooDef(int mode)`
`boolean`
`isPersistent()`
`boolean`
`isRecursive()`
`static WatcherMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static WatcherMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STANDARD

public static final WatcherMode STANDARD

### PERSISTENT

public static final WatcherMode PERSISTENT

### PERSISTENT_RECURSIVE

public static final WatcherMode PERSISTENT_RECURSIVE

## Field Details

### DEFAULT_WATCHER_MODE

public static final WatcherMode DEFAULT_WATCHER_MODE

## Method Details

### values

public static WatcherMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static WatcherMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromZooDef

public static WatcherMode fromZooDef(int mode)

### isPersistent

public boolean isPersistent()

### isRecursive

public boolean isRecursive()